Subject: Re: bug#36894: Stability issues in frameset sorting

From: Eli Zaretskii <[email-masked]>
Date: Wed, 07 Aug 2019 05:29:33 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 07 Aug 2019 01:09:49 +0300
> 
> >> Now one problem still remains: the desktop file doesn't restore the
> >> selected frame, i.e. after restoring frames from the desktop file,
> >> the selected frame is not the same as was before saving the desktop.
> >> This patch ensures that the previously selected frame is restored last,
> >> thus becoming selected again:
> >
> > Is this really necessary?  IME, the selected frame does get restored,
> > so I'm not sure why it doesn't work for you.
> 
> Currently the desktop doesn't restore focus to the previously selected frame.

Is this new in Emacs 27?  Because I see no such problem in Emacs 26,
where I use desktop all the time with multi-frame arrangements.